415: Sqlite upgraded

I have upgraded 'sqlite' to version 3.6.12, for the Puppy 4.x build. This is how I configured it:

# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --disable-tcl --without-tcl --enable-threadsafe --enable-cross-thread-connections --enable-threads-override-locks --enable-releasemode --enable-tempstore

...I have no idea about the necessity or otherwise of some of those options, they just seem like good things to enable.

Note, I upgraded sqlite (from 3.4.2) as I was experimenting with database packages and 'libgda' needs a version of sqlite >= 3.6.0.


Posted on 27 Jun 2009, 11:07


No comments posted yet.